/*

Структура в качестве полей подразумевает стороны треугольника.
Задать с клавиатуры стороны двух треугольников.
В отдельной функции рассчитать площадь треугольника,
передавая в качестве параметра указатель на структуру.
В главной функции сравнить площади и сделать выводы.

*/
#include <iostream>
#include <math.h>

using namespace std;

struct Triangle {
    float a, b, c;
};

double getSquare(Triangle *tri);

int main()
{
    Triangle triangle_1;
    cout << "Input triangle #1: ";
    cin >> triangle_1.a >> triangle_1.b >>  triangle_1.c;

    Triangle triangle_2;
    cout << "Input triangle #2: ";
    cin >> triangle_2.a >> triangle_2.b >>  triangle_2.c;

    double square_1 = getSquare(&triangle_1);
    double square_2 = getSquare(&triangle_2);

    if (square_1 > square_2) {
        cout << "Triangle square #1 bigger than #2 on " << square_1 - square_2 << endl;
    } else {
        cout << "Triangle square #2 bigger than #1 on " << square_2 - square_1 << endl;
    }
    return 0;
}

double getSquare(Triangle *tri)
{
    float p = (tri->a + tri->b + tri->c) / 2;
    return sqrt(p * (p - tri->a) * (p - tri->b) * (p - tri->c));
}
